Subject: Re: Problems using bonding with vlan

From: Ben Greear <[email-masked]>
Date: Mon, 15 Sep 2003 09:58:51 -0700

Shmulik Hen wrote:

> I think we should add to the 8021q module the ability to listen to 
> netdev events and to set it's hardware address whenever the 
> underlying device changes it own, instead of just during the VLAN 
> interface creation.

One can also change the VLAN MAC address at any time with 'ip' or 'ifconfig',
just like regular ethernet devices.  So, the startup script could easily rectify
things if needed (VLAN device will put it's underlying device into promisc or multicast
mode if needed).

The VLAN code does listen for net-events already, so if you wanted to change
when the VLAN MAC is 0:0....0, then that might be friendlier to the user, but
please do NOT change the MAC if it is already set to something non zero.

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com